Subject: Re: [msysGit] Re: Announcing Git for Windows 1.9.5

From: Torsten Bögershausen <[email-masked]>
Date: Tue, 23 Dec 2014 13:50:17 +0100

On 2014-12-23 10.48, Pat Tressel wrote:
> 
>             Bugfixes
>             - Safeguards against bogus file names on NTFS (CVE-2014-9390).
> 
> 
> Apologies, but...is it possible to get back an old version?  I installed this version, and it no longer recognizes non-English characters that appear in some file names we have in our repo.  I'm only guessing that this has to do with the vuln fix.
> 
> (If you want, I can file a bug report -- this should be easy to reproduce, as all that's needed should be to clone our repo (https://github.com/flavour/eden) and do "git status" -- two files will appear as deleted, but they're not.  Hmm, it may be necessary to do the git clone with an old version, if the new version is unable to handle those file names.)
> 
> Thanks!
> 
> -- Pat

You may consider to convert the repo into unicode,
and update all clients accessing this repo.

https://github.com/kblees/git/wiki